Skip to main content
GET
/
v1
/
organizations
[Organizations] List accessible organizations
curl --request GET \
  --url https://api.onetsolutions.net/v1/organizations \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "legacy_id": 123,
    "name": "<string>",
    "project_count": 123,
    "modules": [
      "<string>"
    ],
    "organization_type": "personal",
    "support_plan": "basic",
    "user_quota": 2147483647,
    "project_quota": 2147483647,
    "instance_quota": 2147483647,
    "domain_quota": 2147483647,
    "logo": "<string>",
    "company_name": "<string>",
    "address_1": "<string>",
    "address_2": "<string>",
    "city": "<string>",
    "state": "<string>",
    "postcode": "<string>",
    "country": "<string>",
    "phone": "<string>",
    "vat_number": "<string>",
    "is_active": true
  }
]

Documentation Index

Fetch the complete documentation index at: https://help.onetsolutions.net/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).

Response

List of organizations the user has access to

id
string<uuid>
required
read-only
legacy_id
integer
required
read-only
name
string
required
Maximum string length: 255
project_count
integer
required
modules
string[]
required
read-only
organization_type
enum<string>
  • personal - Personal
  • professional - Professional
Available options:
personal,
professional
support_plan
enum<string>
  • basic - Basic
  • advanced - Advanced
  • business - Business
Available options:
basic,
advanced,
business
user_quota
integer<int64>
Required range: 0 <= x <= 4294967295
project_quota
integer<int64>
Required range: 0 <= x <= 4294967295
instance_quota
integer<int64>

Maximum number of instances allowed

Required range: 0 <= x <= 4294967295
domain_quota
integer<int64>

Maximum number of domains allowed

Required range: 0 <= x <= 4294967295
company_name
string
Maximum string length: 255
address_1
string
Maximum string length: 255
address_2
string
Maximum string length: 255
city
string
Maximum string length: 100
state
string
Maximum string length: 100
postcode
string
Maximum string length: 20
country
string

ISO 3166-1 alpha-2 country code

Maximum string length: 2
phone
string
Maximum string length: 50
vat_number
string
Maximum string length: 50
is_active
boolean